# SagaCompensationException (dapr-sdk-workflows 0.12.2 API)
declaration: package: io.dapr.workflows.saga, class: SagaCompensationException

Package io.dapr.workflows.saga

# Class SagaCompensationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
io.dapr.workflows.saga.SagaCompensationException

All Implemented Interfaces:
  `Serializable`

public class SagaCompensationException extends RuntimeException
saga compensation exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SagaCompensationException(String message, Exception cause)`
build up a SagaCompensationException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SagaCompensationException

public SagaCompensationException(String message, Exception cause)
build up a SagaCompensationException.

Parameters:
  `message` - exception message
  `cause` - exception cause